Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.jdbc20.t3
Class Connection

    java.lang.Object
      |
      +--weblogic.jdbcbase.t3.Connection
            |
            +--weblogic.jdbc20.t3.Connection

public final class Connection
extends weblogic.jdbcbase.t3.Connection
implements java.sql.Connection, weblogic.jdbc.common.internal.Msg

This class contains WebLogic extensions to JDBC that are used to get and set the cacheRow property on a Connection. Only those methods are included here.

Version:
  2.0
Author:
  Copyright (c) 1996-98 by WebLogic, Inc., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.jdbcbase.t3.Connection
`dbmetadata, isp, ispLock, numsep, state, t3`

Constructor Summary
`Connection()`

Method Summary
`int` | `cacheRows()` Returns the current value of the Connection property "weblogic.t3.cacheRows".
`void` | `cacheRows(int rows)` Sets the value of the Connection property "weblogic.t3.cacheRows".
`void` | `refresh()` Refreshes a JDBC connection from a connection pool.
`void` | `waitOnResources(boolean enable)` This is a new extension to Connection for Oracle connections only.

Methods inherited from class weblogic.jdbcbase.t3.Connection
`checkIfClosed, clearWarnings, close, commit, executeClassName, executeRequest, executeRequest, getAutoCommit, getCatalog, getDescription, getMetaData, getMsg, getName, getTransactionIsolation, getWarnings, initEvents, isClosed, isReadOnly, nativeSQL, oracleI18nSetup, rollback, setAutoCommit, setCatalog, setDescription, setName, setReadOnly, setTransactionIsolation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Connection

    public Connection()

Method Detail

### cacheRows

    public int cacheRows()

  Returns the current value of the Connection property "weblogic.t3.cacheRows". Caching rows on the WebLogic T3Server can improve client performance.

  Returns:
    Number of rows to be cached
  Overrides:
    cacheRows in class weblogic.jdbcbase.t3.Connection

### cacheRows

    public void cacheRows(int rows)
                   throws java.sql.SQLException

  Sets the value of the Connection property "weblogic.t3.cacheRows". This property can be set initially as part of the java.util.Property object that is used to construct the Connection. Resetting its value changing the cacheRows property for all subsequent query executes, until the value is changed again.

  Parameters:
    `rows` - Number of rows to be cached
  Throws:
    java.sql.SQLException - if the operation cannot be completed
  Overrides:
    cacheRows in class weblogic.jdbcbase.t3.Connection

### refresh

    public void refresh()
                 throws java.sql.SQLException

  Refreshes a JDBC connection from a connection pool. The connection must be cast as a `weblogic.jdbc.t3.Connection`, as in the example:

         ((weblogic.jdbc.t3.Connection)conn).refresh();

  You should use this method after catching a SQLException that indicates that the JDBC connection is no longer functioning. To test the viability of a connection, attempt to execute a statement that cannot fail; for example, in Oracle, you might execute the SQL statement "select 1 from dual".

  Throws:
    java.sql.SQLException - if there is an error
  Overrides:
    refresh in class weblogic.jdbcbase.t3.Connection

### waitOnResources

    public void waitOnResources(boolean enable)
                         throws java.sql.SQLException

  This is a new extension to Connection for Oracle connections only. It provides the user the means to set whether the client will wait for DBMS resources or receive an exception.

  Overrides:
    waitOnResources in class weblogic.jdbcbase.t3.Connection

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD